<?xml version="1.0" encoding="UTF-8" ?>

<ClassComponent localName="SecurityFace" description=""
	fileName="SecurityFace.jar" className="org.mati.npc.components.bank.securityface.SecurityFace"
	version="8875" time="17.02.2009 01:04:56">

	<Group>Банковские депозитарные ячейки</Group>

	<INLink description='Связь с компонентом контейнером'
		interfaceName="org.mati.npc.components.interfaces.NPCFaceComponent"
		linksNumber="1" name="InFaceComponent" nullable="false">
	</INLink>
	<INLink description='Связь для приема данных'
		interfaceName="org.mati.npc.interfaces.bank.SecurityFaceHandler"
		linksNumber="0" name="InData" nullable="true">
	</INLink>

	<OUTLink name="OutDBServiceContainer" description="Связь с сервисом базы данных."
		interfaceName="org.mati.npc.components.interfaces.DBSerivceContainer"
		linksNumber="1" nullable="false">
	</OUTLink>

	<Attribute name="PositionX" description="Координата левого верхнего угла по оси X"
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="PositionY" description="Координата левого верхнего угла по оси Y"
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="SizeWidth" description="Ширина" type="java.lang.Integer"
		defaultValue="800"
		nullable="false">
	</Attribute>
	<Attribute name="SizeHeight" description="Высота" nullable="false"
		defaultValue="600"
		type="java.lang.Integer">
	</Attribute>

</ClassComponent>